org.apache.ignite.internal.commandline.meta.subcommands

## Class MetadataHelpCommand

- java.lang.Object
- - org.apache.ignite.internal.commandline.meta.subcommands.MetadataHelpCommand

All Implemented Interfaces:
  Command<Void>

    public class MetadataHelpCommand
    extends Object
    implements Command<Void>

### Constructor Summary

Constructors
Constructor and Description
`MetadataHelpCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Void` `arg()`
`Object` `execute(GridClientConfiguration clientCfg, Logger log)` Actual command execution.
`boolean` `experimentalEnabled()`
`String` `name()`
`void` `printUsage(Logger log)` Print info for user about command (parameters, use cases and so on).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.commandline.Command

`confirmationPrompt, experimental, extendToLen, parseArguments, prepareConfirmation, startClient, usage, usage, usageParams`

### Constructor Detail

#### MetadataHelpCommand

    public MetadataHelpCommand()

### Method Detail

#### printUsage

    public void printUsage(Logger log)

Print info for user about command (parameters, use cases and so on).

Specified by:
  `printUsage` in interface `Command<Void>`
Parameters:
  `log` - Logger to use.

#### execute

    public Object execute(GridClientConfiguration clientCfg,
                          Logger log)
                   throws Exception

Actual command execution. Parameters for run should be already set by calling parseArguments method.

Specified by:
  `execute` in interface `Command<Void>`
Parameters:
  `clientCfg` - Thin client configuration if connection to cluster is necessary.
  `log` - Logger to use.
Returns:
  Result of operation (mostly usable for tests).
Throws:
  `Exception` - If error occur.

#### experimentalEnabled

    public boolean experimentalEnabled()

Specified by:
  `experimentalEnabled` in interface `Command<Void>`
Returns:
  Value of `IgniteSystemProperties.IGNITE_ENABLE_EXPERIMENTAL_COMMAND`

#### arg

    public Void arg()

Specified by:
  `arg` in interface `Command<Void>`
Returns:
  Command arguments which were parsed during `Command.parseArguments(CommandArgIterator)` call.

#### name

    public String name()

Specified by:
  `name` in interface `Command<Void>`
Returns:
  command name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020